Bug 1266124 - Review Request: perl-Algorithm-Diff-XS - Algorithm::Diff with XS core loop
Review Request: perl-Algorithm-Diff-XS - Algorithm::Diff with XS core loop
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Petr Pisar
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-09-24 10:27 EDT by Petr Šabata
Modified: 2015-11-25 11:06 EST (History)
2 users (show)

See Also:
Fixed In Version: perl-Algorithm-Diff-XS-0.04-1.fc22
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-11-25 11:06:35 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
ppisar: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Petr Šabata 2015-09-24 10:27:05 EDT
Spec URL: https://psabata.fedorapeople.org/pkgs/perl-Algorithm-Diff-XS/perl-Algorithm-Diff-XS.spec
SRPM URL: https://psabata.fedorapeople.org/pkgs/perl-Algorithm-Diff-XS/perl-Algorithm-Diff-XS-0.04-1.fc22.src.rpm
Description:
Drop-in replacement to Algorithm::Diff, but "compact_diff" and "LCSidx"
will run much faster for large data sets.
Fedora Account System Username: psabata
Comment 1 Upstream Release Monitoring 2015-09-24 11:38:20 EDT
ppisar's scratch build of perl-Algorithm-Diff-XS-0.04-1.fc24.src.rpm for f24 completed http://koji.fedoraproject.org/koji/taskinfo?taskID=11212636
Comment 2 Petr Pisar 2015-09-24 11:39:43 EDT
URL and Source0 are usable. Ok.
Source archive is original (SHA-256: cea89b47e1f70fa78f55f3c405491ce36d3effd9980f5c5491edffa31aa77153). Ok.
License verified from README, ppport.h, and lib/Algorithm/Diff/XS.pm. Ok.
Summary verified from lib/Algorithm/Diff/XS.pm. Ok
Description is Ok.

TODO: I recommend appending to __requires_exclude macro instead of redefining it even if it is the first occurrence in the spec file. The macro could already be initialized in some other macro file.

All tests pass. Ok.

$ rpmlint perl-Algorithm-Diff-XS.spec ../SRPMS/perl-Algorithm-Diff-XS-0.04-1.fc24.src.rpm ../RPMS/x86_64/perl-Algorithm-Diff-XS-0.04-1.fc24.x86_64.rpm 
2 packages and 1 specfiles checked; 0 errors, 0 warnings.
rpmlint is Ok.

$ rpm -q -lv -p ../RPMS/x86_64/perl-Algorithm-Diff-XS-0.04-1.fc24.x86_64.rpm 
drwxr-xr-x    2 root    root                        0 Sep 24 17:31 /usr/lib64/perl5/vendor_perl/Algorithm
drwxr-xr-x    2 root    root                        0 Sep 24 17:31 /usr/lib64/perl5/vendor_perl/Algorithm/Diff
-rw-r--r--    1 root    root                     3562 Oct 24  2008 /usr/lib64/perl5/vendor_perl/Algorithm/Diff/XS.pm
drwxr-xr-x    2 root    root                        0 Sep 24 17:31 /usr/lib64/perl5/vendor_perl/auto/Algorithm
drwxr-xr-x    2 root    root                        0 Sep 24 17:31 /usr/lib64/perl5/vendor_perl/auto/Algorithm/Diff
drwxr-xr-x    2 root    root                        0 Sep 24 17:31 /usr/lib64/perl5/vendor_perl/auto/Algorithm/Diff/XS
-rwxr-xr-x    1 root    root                    15416 Sep 24 17:31 /usr/lib64/perl5/vendor_perl/auto/Algorithm/Diff/XS/XS.so
drwxr-xr-x    2 root    root                        0 Sep 24 17:31 /usr/share/doc/perl-Algorithm-Diff-XS
-rw-r--r--    1 root    root                      571 Oct 24  2008 /usr/share/doc/perl-Algorithm-Diff-XS/Changes
-rw-r--r--    1 root    root                     1694 Oct 24  2008 /usr/share/doc/perl-Algorithm-Diff-XS/README
-rw-r--r--    1 root    root                     1870 Sep 24 17:31 /usr/share/man/man3/Algorithm::Diff::XS.3pm.gz
File layout and permissions are Ok.

$ rpm -q --requires -p ../RPMS/x86_64/perl-Algorithm-Diff-XS-0.04-1.fc24.x86_64.rpm | sort -f | uniq -c
      1 libc.so.6()(64bit)
      1 libc.so.6(GLIBC_2.14)(64bit)
      1 libc.so.6(GLIBC_2.2.5)(64bit)
      1 libc.so.6(GLIBC_2.4)(64bit)
      1 libperl.so.5.22()(64bit)
      1 perl >= 0:5.006
      1 perl(:MODULE_COMPAT_5.22.0)
      1 perl(Algorithm::Diff) >= 1.19
      1 perl(strict)
      1 perl(vars)
      1 perl(warnings)
      1 perl(XSLoader)
      1 rpmlib(CompressedFileNames) <= 3.0.4-1
      1 rpmlib(FileDigests) <= 4.6.0-1
      1 rpmlib(PayloadFilesHavePrefix) <= 4.0-1
      1 rpmlib(PayloadIsXz) <= 5.2-1
      1 rtld(GNU_HASH)
Binary requires are Ok.

$ rpm -q --provides -p ../RPMS/x86_64/perl-Algorithm-Diff-XS-0.04-1.fc24.x86_64.rpm | sort -f | uniq -c
      1 perl(Algorithm::Diff::XS) = 0.04
      1 perl-Algorithm-Diff-XS = 0.04-1.fc24
      1 perl-Algorithm-Diff-XS(x86-64) = 0.04-1.fc24
Binary provides are Ok.

$ resolvedeps rawhide ../RPMS/x86_64/perl-Algorithm-Diff-XS-0.04-1.fc24.x86_64.rpm 
Binary dependencies resolvable. Ok.

Package builds in F24 (http://koji.fedoraproject.org/koji/taskinfo?taskID=11212636). Ok.

The package is in line with Fedora and Perl packaging guidelines.

Please consider fixing `TODO' items before building the package.
Resolution: Package APPROVED.
Comment 3 Petr Šabata 2015-09-24 11:47:18 EDT
New Package SCM Request
=======================
Package Name: perl-Algorithm-Diff-XS
Short Description: Algorithm::Diff with XS core loop
Upstream URL: http://search.cpan.org/dist/Algorithm-Diff-XS/
Owners: psabata jplesnik ppisar
Branches: f22 f23
InitialCC: perl-sig
Comment 4 Gwyn Ciesla 2015-09-24 13:37:02 EDT
Git done (by process-git-requests).
Comment 5 Fedora Update System 2015-09-25 04:51:26 EDT
perl-Algorithm-Diff-XS-0.04-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-7d1e633f68
Comment 6 Fedora Update System 2015-09-26 20:37:56 EDT
perl-Algorithm-Diff-XS-0.04-1.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update perl-Algorithm-Diff-XS'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-d8f95e0171
Comment 7 Fedora Update System 2015-09-26 20:56:03 EDT
perl-Algorithm-Diff-XS-0.04-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update perl-Algorithm-Diff-XS'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-7d1e633f68
Comment 8 Fedora Update System 2015-10-03 13:43:34 EDT
perl-Algorithm-Diff-XS-0.04-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.
Comment 9 Fedora Update System 2015-11-05 18:25:56 EST
perl-Algorithm-Diff-XS-0.04-1.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.